routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});


Route::resource('barang', 'BarangController');
Route::get('/barang', 'BarangController@index')->name('indexBarang');

Route::resource('tt', 'TtController');
Route::get('/tt', 'TtController@index')->name('indexTt');

Route::resource('kembali', 'KembaliController');
Route::get('hitung', 'KembaliController@store');

Route::get('makepdfproduk','TtController@makepdf')->name('makePDF');

Route::get('printpdfproduk','TtController@printpdf')->name('cetakPDF');

Route::get('transaksi','TtController@showTransaksi')->name('showTr');

Route::get('printtransaksi','TtController@printTransaksi')->name('cetakTR');

Auth::routes();


Route::get('add', function () {
    return view('add');
});

Route::get('/home', function(){
	return redirect('/tt');
});

resources/views/add.blade.php
<html>
    <head>
        <title>Arka POS</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

    </head>

    <body>
    <div class="container mt-5">
      <div class="col">
        <center><h4><b>Add Sub Item</b></h4></center>                 
      <form action="{{ route('tt.store')}}" method="POST">                        
       
       {{ csrf_field() }}
       @if($errors->any())
          <div class="alert alert-danger"><ul>
            @foreach($errors->all() as $error)
            <li>{{ $error }}</li>
            @endforeach
          </ul></div>
          @endif

          <div class="row">
              <div class="col-md-6">
                  <div class="form-group">
                    <label for="exampleInputEmail1">Nama</label>
                    <input type="text" name="nama" class="form-control" value = "{{ $barang->nama }}" id="exampleInputEmail1" placeholder="Nama" readonly="">
                  </div>
              </div>

              <div class="col-md-6">
                  <div class="form-group">
                    <label for="exampleInputPassword1">Harga Awal(Rp)</label>
                    <input type="number" name="harga_awal" class="form-control" value = "{{ $barang->harga_awal }}" id="exampleInputPassword1" placeholder="harga awal" readonly="">
                  </div>
              </div>
          </div>

          <div class="row">

          <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputEmail1">Discount(%)</label>
                <input type="number" name="discount" class="form-control" id="exampleInputEmail1" value = "{{ $barang->discount}}" placeholder="Discount" readonly="">
              </div>
          </div>

          <div class="col-md-6">
              <div class="form-group">
                <label for="exampleInputPassword1">Harga Akhir(Rp)</label>
                <input type="number" name="harga_akhir" class="form-control" value = "{{ $barang->harga_akhir}}" id="exampleInputPassword1" placeholder="harga akhir" readonly="">
              </div>
          </div>
          </div>

          <input type="hidden" name="barang_id" value="{{ $barang->barang_id}}">

          <div class="row">

               <div class="col-md-5 col-md-offset-4">
                  <div class="form-group">
                    <center><label for="exampleInputEmail1">- Jumlah barang -</label></center>
                    <input type="number" name="qty" value="" class="form-control" id="exampleInputEmail1">
                  </div>
              </div>
          </div>
                        
          <button type="submit" class="btn btn-primary btn-block btn-primary btn-submit">
          <span class="glyphicon glyphicon-log-out" aria-hidden="true"></span> Submit</button>
        </form>
    </div>
    </div>
    </body>

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Dashboard</div>

                <div class="panel-body">
                    @if (session('status'))
                        <div class="alert alert-success">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection